io.vertx.reactivex.openapi.contract

## Class MediaType

- java.lang.Object
- - io.vertx.reactivex.openapi.contract.MediaType

-     public class MediaType
      extends Object

  This interface represents the most important attributes of an OpenAPI Operation.
  Operation V3.1
  Operation V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MediaType>` | `__TYPE_ARG`
    `static String` | `APPLICATION_HAL_JSON`
    `static String` | `APPLICATION_JSON`
    `static String` | `APPLICATION_JSON_UTF8`
    `static String` | `MULTIPART_FORM_DATA`
    `static List<String>` | `SUPPORTED_MEDIA_TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaType(MediaType delegate)`
    `MediaType(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MediaType` | `getDelegate()`
    `String` | `getIdentifier()`
    `JsonSchema` | `getSchema()`
    `int` | `hashCode()`
    `static boolean` | `isMediaTypeSupported(String type)`
    `static MediaType` | `newInstance(MediaType arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MediaType> __TYPE_ARG

    - #### APPLICATION_HAL_JSON

          public static final String APPLICATION_HAL_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON

          public static final String APPLICATION_JSON

    - #### APPLICATION_JSON_UTF8

          public static final String APPLICATION_JSON_UTF8

    - #### MULTIPART_FORM_DATA

          public static final String MULTIPART_FORM_DATA

    - #### SUPPORTED_MEDIA_TYPES

          public static final List<String> SUPPORTED_MEDIA_TYPES

  - ### Constructor Detail

    - #### MediaType

          public MediaType(MediaType delegate)

    - #### MediaType

          public MediaType(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MediaType getDelegate()

    - #### isMediaTypeSupported

          public static boolean isMediaTypeSupported(String type)

    - #### getSchema

          public JsonSchema getSchema()

      Returns:
        the schema defining the content of the request.

    - #### getIdentifier

          public String getIdentifier()

      Returns:
        the identifier like application/json

    - #### newInstance

          public static MediaType newInstance(MediaType arg)

Copyright © 2024 Eclipse. All rights reserved.